function [x,t] = create_data(d,K)

% gaussian mixture model
P = 2;              % number of chunks, needs to divide K
n = K/P;            % number of points per chunk
c = zeros(d,P);     % centers
sigma = 0.1;        % stdev

x = zeros(d,K);
t = zeros(1,K);

for p = 1:P
   
    c(:,p) = rand(d,1);     % at random in unit cube
    x(:,(1+(p-1)*n):p*n) = c(:,p)*ones(1,n) + sigma*randn(d,n);     
                       % generate n points near c
    t((1+(p-1)*n):p*n) = round(rand(1))*ones(1,n);
    
end

t(1:n) = zeros(1,n);
t((1+(P-1)*n):P*n) = ones(1,n);


