function [y,z,u] = run_net(net, x)

global phi

alpha = net{1};
w = net{2};
beta = net{3};

N = size(alpha,2);
L = size(w,3);
K = size(x,2);

y = zeros(1,K);
z = zeros(N,K,L);   % neuron ouputs
u = zeros(N,K,L);   % same as z, but before acting with the nonlinearity

u(:,:,1) = alpha'*x;
z(:,:,1) = phi(squeeze(u(:,:,1)));

for l = 2:L;    
    u(:,:,l) = squeeze(w(:,:,l))'*squeeze(z(:,:,l-1));
    z(:,:,l) = phi(squeeze(u(:,:,l)));    
end

y = beta*squeeze(z(:,:,L));

